#!bpy
"""
Name: 'export_data.py'
Blender: 2.68
Group: 'chemestry'
Tooltip: 'Save position of a given structure'
"""

import bpy
import os
import sys
import ntpath


def setPath():
    # Add the path of the current blend file to sys.path

    path = os.path.dirname(__file__)
    head, tail = ntpath.split(path)
    if head not in sys.path:
        sys.path.append(head)
    return head


def export_coordinates():

    filename = "{}/molecules/my_data.pdb".format(setPath())
    bpy.ops.object.select_by_type(type='MESH')
    with open(filename, 'w') as data:
        data.write("{:#>10} PDB structure (simple) {:#>10}\n".format('', ''))
        for o in bpy.context.selected_objects:
            data.write("ATOM{: >34}{: >8}{: >8}{: >24}\n".format(round(o.location.x, 3),
                                                                 round(o.location.y, 3),
                                                                 round(o.location.z, 3),
                                                                 o.name[0]))

if __name__ == '__main__':
    # leave the edit mode 
    if bpy.ops.object.mode_set.poll():
        bpy.ops.object.mode_set(mode='OBJECT')
    export_coordinates()
